# errain/Version.cpp File Reference

`#include <osgTerrain/Version>`

Include dependency graph for errain/Version.cpp:

## Functions

const char * | osgTerrainGetVersion ()
| osgTerrainGetVersion() returns the library version number.
const char * | osgTerrainGetLibraryName ()
| osgTerrainGetLibraryName() returns the library name in human friendly form.

## Function Documentation

const char* osgTerrainGetLibraryName | ( |  | ) |

| osgTerrainGetLibraryName() returns the library name in human friendly form.

const char* osgTerrainGetVersion | ( |  | ) |

osgTerrainGetVersion() returns the library version number.

Numbering convention : OpenSceneGraph-0.1 will return 0.1 from osgTerraingetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

     #
     # Check for the OpenSceneGraph Terrain library
     #
     AC_CHECK_LIB(osg, osgTerrainGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph Terrain library not found. See http://www.openscenegraph.org)],)